﻿using MediaBrowser.Model.Entities;

namespace MediaBrowser.Controller.Entities
{
    /// <summary>
    /// Plugins derive from and export this class to create a folder that will appear in the root along
    /// with all the other actual physical folders in the system.
    /// </summary>
    public abstract class BasePluginFolder : Folder, ICollectionFolder, IByReferenceItem
    {
        /// <summary>
        /// Gets or sets the type of the location.
        /// </summary>
        /// <value>The type of the location.</value>
        public override LocationType LocationType
        {
            get
            {
                return LocationType.Virtual;
            }
        }

        protected BasePluginFolder()
        {
            DisplayMediaType = "CollectionFolder";
        }
    }
}
